Add Bookmark
curl --request POST \
--url https://api.thefaithapp.com/v1/bookmarks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <x-api-key>' \
--data '
{
"devotional_id": 123
}
'import requests
url = "https://api.thefaithapp.com/v1/bookmarks"
payload = { "devotional_id": 123 }
headers = {
"X-API-Key": "<x-api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-Key': '<x-api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({devotional_id: 123})
};
fetch('https://api.thefaithapp.com/v1/bookmarks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"message": "<string>"
}Engagement
Add Bookmark
Adds a devotional to the authenticated member’s bookmarks.
POST
/
v1
/
bookmarks
Add Bookmark
Adds a devotional to the authenticated member’s bookmarks.
Example request
{
"devotional_id": 1
}
Request inputs
Your client API key from the dashboard (Settings page).
Devotional ID to add to bookmarks.
Response fields
Indicates whether the bookmark mutation completed successfully.
Confirms whether the devotional was added now or was already bookmarked.
Example response
{
"status": "Success",
"message": "Devotional added to bookmarks"
}
Was this page helpful?
⌘I